Subject: Re: [PATCH v12 11/12] open: openat2(2) syscall

From: Ingo Molnar <[email-masked]>
Date: Tue, 10 Sep 2019 08:35:32 +0200

* Linus Torvalds <[email-masked]> wrote:

> On Sat, Sep 7, 2019 at 10:42 AM Andy Lutomirski <[email-masked]> wrote:
> >
> > Linus, you rejected resolveat() because you wanted a *nice* API
> 
> No. I rejected resoveat() because it was a completely broken garbage
> API that couldn't do even basic stuff right (like O_CREAT).
> 
> We have a ton of flag space in the new openat2() model, we might as
> well leave the old flags alone that people are (a) used to and (b) we
> have code to support _anyway_.
> 
> Making up a new flag namespace is only going to cause us - and users -
> more work, and more confusion. For no actual advantage. It's not going
> to be "cleaner". It's just going to be worse.

I suspect there is a "add a clean new flags namespace" analogy to the 
classic "add a clean new standard" XKCD:

	https://xkcd.com/927/

Thanks,

	Ingo